FANDOM


What expansions are necessary to install to play the game

What expansions are necessary to install to play the game?

You would need a valid copy of one of the following versions of the game installed.

  • Catacombs
  • Darkness Rising
  • Epic Edition
  • Labyrinth of the Minotaur
  • 5th Anniversary Edition

If you need to conserve disk space, you do not have to install all the previous expansions that pre-date your latest. The way the expansions were produced was so that the next one to come out always had the previous version's zone information already contained.

So, for instance, let's say you've just installed Epic Edition. You could remove all the older versions of Dark Age of Camelot that you may have installed on your PC.

Please note that Classic Camelot, Shrouded Isles, the Gold Edition, Trials of Atlantis and the Platinum Edition software is no longer supported. In this case you would want to go to the following site to download and install a newer version of the game free of charge: http://darkageofcamelot.com/trial

After downloading and installing the trial software simply use the CD-Key provided with the jewel case to ensure you get the full 30 days free when creating your new account.

Ad blocker interference detected!


Wikia is a free-to-use site that makes money from advertising. We have a modified experience for viewers using ad blockers

Wikia is not accessible if you’ve made further modifications. Remove the custom ad blocker rule(s) and the page will load as expected.